Bug 651096 - After hibernate, the computer doesn't allow supsend or hibernate, only shutdown and logout.
Summary: After hibernate, the computer doesn't allow supsend or hibernate, only shutdo...
Keywords:
Status: CLOSED DUPLICATE of bug 643367
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 20:01 UTC by Matthew Truch
Modified: 2010-11-19 21:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 21:16:25 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Truch 2010-11-08 20:01:28 UTC
Description of problem:
After resuming from a hibernate, the menu system no longer allows hibernate or suspend.  I'm not sure if this is a gnome menu options problem, or if it's deeper, so I'm filing it here (apologies if this is incorrect).  

Version-Release number of selected component (if applicable):
Fedora 14, all updates applied.


Steps to Reproduce:
1. Hibernate computer.
2. Resume from hibernate.
3. Attempt to hibernate or suspend.
  
Actual results:
There is no longer a menu option to hibernate or suspend.

Expected results:
The hibernate and suspend options are still there.

Comment 1 Pekka Savola 2010-11-10 08:15:25 UTC
I'm suffering from the same thing. Pretty annoying.

Comment 2 Pekka Savola 2010-11-14 16:58:43 UTC
I've a hypothesis that this is permissions-related, because I've also seen the following:

 - auto-mounting USB memory stick fails with 'not authorized'
 - sound ceases to work, e.g. xmms says 'alsa_get_mixer(): Attaching to mixer hw:0 failed: Permission denied'
 - some preferences settings report permission errors

Comment 3 Bartek Krawczyk 2010-11-19 07:33:48 UTC
Same thing here: Samsung NC10 with a fresh Fedora 14 installation. I've googled it out and look:
http://ns3.spinics.net/lists/fedora-testing/msg94820.html

later in that thread they suggest it's a ConsoleKit problem (check ck-list-sessions, it says the session is inactive [active = FALSE]). A quick switch to Console and back to X11 seems to resolve the issue. (ALT+CTRL+F2 and ALT+CTRL+F1). Very annoying, though.

I suggest increasing the priority to at least Medium.

Regards,

Comment 4 Tim Ricketts 2010-11-19 20:55:07 UTC
That fits.  /var/log/ConsoleKit/history contains the following line logged during resume from hibernation:

1290069921.132 type=SEAT_ACTIVE_SESSION_CHANGED : seat-id='Seat1' session-id=''

Comment 5 Matthew Truch 2010-11-19 21:16:25 UTC

*** This bug has been marked as a duplicate of bug 643367 ***


Note You need to log in before you can comment on or make changes to this bug.